Summary: Access control list utilities.
Name: acl
Version: 2.2.22
Release: 3tr
BuildRoot: /var/tmp/%{name}-root
Source: acl-2.2.22.src.tar.gz
License: GPL
Group: Trustix Official
URL: http://acl.bestbits.at/

%description
This package contains the getfacl and setfacl utilities needed for
manipulating access control lists.

%package -n libacl
Summary: Dynamic library for access control list support.
Group: Trustix Official
Prereq: /sbin/ldconfig

%description -n libacl
This package contains the libacl.so dynamic library which contains
the POSIX 1003.1e draft standard 17 functions for manipulating access
control lists.

%package -n libacl-devel
Summary: Access control list static libraries and headers.
Group: Trustix Official
Requires: libacl
Provides: acl-devel
Obsoletes: acl-devel

%description -n libacl-devel
This package contains static libraries and header files needed to develop
programs which make use of the access control list programming interface
defined in POSIX 1003.1e draft standard 17.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure
/usr/bin/make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
DIST_INSTALL_LIB=`pwd`/install-lib.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV DIST_INSTALL_LIB
/usr/bin/make install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make -C build/rpm rpmfiles DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
/usr/bin/make -C build/rpm rpmfiles-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
/usr/bin/make install-lib DIST_MANIFEST="$DIST_INSTALL_LIB"
/usr/bin/make -C build/rpm rpmfiles-lib DIST_MANIFEST="$DIST_INSTALL_LIB"

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%post -n libacl -p /sbin/ldconfig

%postun -n libacl -p /sbin/ldconfig

%files -f build/rpm/rpmfiles

%files -n libacl-devel -f build/rpm/rpmfiles-dev

%files -n libacl -f build/rpm/rpmfiles-lib

%changelog
* Mon Jan 26 2004 Erlend Midttun <erlendbm at trustix dot org> 2.2.22-1tr
- Initial release, based on official SGI rpm.

